@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@200;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Josefin Sans', sans-serif;
}

.container-1 {
    height: 100vh;
    width: 100%;
    background: #191919;
    background-image: url('../img/Design sem nome.png');
    background-size: cover;
    background-position: center;
}

header {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 25px;
}

.logo {
    color: #ffffff;
    font-size: 2.2rem;
    font-weight: 700;
}

.logo span {
    color: #f9004d;
}

.nav-header {
    display: flex;
    gap: .5rem;
}

#btn-nav {
    display: none;
}

.nav-header ul {
    display: flex;
    gap: 0.5rem;
}

.nav-header ul li {
    display: inline-block;
    color: #ffffff;
    list-style: none;
    font-size: 1.5rem;
    cursor: pointer;
    margin-right: 30px;
}

.nav-header ul li a {
    text-decoration: none;
    color: #ffffff;
}

.nav-header ul li a:hover {
    color: #f9004d;
    transition: 0.5s;
}

.meu-nome{
    position: absolute;
    top: 50%;
    left: 7%;
}

.meu-nome h1 {
    color: #ffffff;
    font-size: 4.7rem;
}

.meu-nome h1 span {
    color: #f9004d;
}

.meu-nome h3 {
    color: #ffffff;
    font-size: 1.5rem;
}

.container-2 {
    display: flex;
    align-items: center;
    padding: 60px 15%;
    background-color: #000000;
    flex-direction: column;
}

.container-sobre-mim {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-items: center;
}

.container-2 figure {
    margin-right: 30px;
}

.container-sobre-mim figure img {
    height: 62vh;
    border-radius: 100%;
    border: 2px solid #f9004d;
}

.container-sobre-mim section h2 {
    color: #ffffff;
    font-size: 4.7rem;
    text-align: center;
}

.container-sobre-mim section p {
    color: #ffffff;
    font-size: 1.5rem;
    margin-top: 30px;
    margin-bottom: 5px;
    text-align: justify;
}

.contato-social {
    display: flex;
    justify-content: space-between;
    margin-top: 40px;
}

.contato-social img:hover {
    width: 68px;
    height: auto;
    transition: .5s;
}

.container-3 {
    background-color: #191919;
    padding-top: 50px;
    padding-bottom: 100px;
    width: 100%;
}

.container-3 h2 {
    color: #ffffff;
    font-size: 4.7rem;
    text-align: center;
}

.card {
    background-color: #000000;
    height: 365px;
    width: 335px;
    border-radius: 20px;
    padding: 20px 35px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 35px;
}

#logo-card-bookmanager {
    height: 4vh;
    margin-top: 30px;
}

.card figure img {
    height: 10.5vh;
    margin-bottom: 20px;
}

.card h5 {
    color: #ffffff;
    font-size: 1.5rem;
}

.card p {
    color: #e2b9c6;
    margin-top: 20px;
    margin-bottom: 10px;
}

.card a {
    background-color: #f9004d;
    color: #ffffff;
    padding: 10px 20px;
    border-radius: 25px;
    cursor: pointer;
    text-decoration: none;
    width: 180px;
    margin-top: 20px;
}

.card a:hover {
    background-color: transparent;
    border: 2px solid #f9004d;
}

.card-projeto {
    display: grid;
    grid-template-columns: 335px 335px 335px;
    justify-content: space-around;
    margin-top: 60px;
}

footer {
    background-color: #000000;
    padding: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

footer h5 {
    color: #ffffff;
    font-size: 1.875rem;
}

footer p {
    color: #ffffff;
    font-size: 1.125rem;
    margin-top: 14px;
    margin-bottom: 30px;
}

.social {
    display: flex;
    gap: 20px;
}

.social img {
    height: 4.5vh;
    border-radius: 50%;
    text-align: center;
}



.social a:hover {
    transform: scale(1.3);
    transition: 0.5s;
}

@media only screen and (min-width: 768px) and (max-width: 1023px){
    body {
        overflow-x: hidden;
    }

    .container-1 {
        background-image: url('../img/Programming-amico.png');
        background-repeat: no-repeat, no-repeat;
        background-size: 57vh;
        background-position-y: 30vh;
    }

    .meu-nome {
        top: 15%;
        left: 17%;
    }

    .meu-nome h3 {
        text-align: center;
    }

    .container-2 section h2, .container-2 section p {
        text-align: center;
    }

    .container-2 section a{
        margin-left: 15%;
    }

    .container-2 figure {
        margin-left: -50px;
    }

    .container-2 figure img {
        height: 30vh;
    }

    .card-projeto {
        display: grid;
        grid-template-columns: 335px 335px;
        margin-top: 60px;
    }

    .card {
        margin-top: 35px;
    }

    footer {
        padding-top: 30px;
        padding-bottom: 60px;
    }

}

@media only screen and (max-width: 767px) {
    body {
        overflow-x: hidden;
    }

    #btn-nav {
        display: block;
    }

    #Menu {
        display: block;
        position: absolute;
        width: 100%;
        top: 70px;
        right: 0;
        transition: 0.6s;
        background-color: #191919;
        z-index: 1000;
        visibility: hidden;
        height: 0px;    
        overflow-y: hidden;
    }

    #Menu li {
        display: block;
        padding: 1rem 0;
        margin: 0 1rem;
        border-bottom: 2px solid rgba(255, 255, 255, 0.4);
    }

    #nav.active #Menu {
        height: calc(100vh - 70px);
        visibility: visible;
        overflow-y: auto;
    }

    #btn-nav {
        display: flex;
        padding: 0.5rem 1rem;
        font-size: 1rem;
        border: none;
        background: none;
        cursor: pointer;
        gap: 0.5rem;
    }

    #hamburger {
        color: #ffffff;
        border-top: 2px solid;
        width: 20px;
      }

    #hamburger::after,
    #hamburger::before {
        content: '';
        display: block;
        width: 20px;
        height: 2px;
        background: currentColor;
        margin-top: 5px;
        transition: 0.5s;
        position: relative;
    }

    #nav.active #hamburger {
        border-top-color: transparent;
    }

    #nav.active #hamburger::before {
        transform: rotate(135deg);
    }

    #nav.active #hamburger::after {
        transform: rotate(-135deg);
        top: -7px;
    }

    .container-1 {
        background-image: url('../img/Programming-amico.png');
        background-size: 43vh;
        background-repeat: no-repeat, no-repeat;
        background-position: center;
        background-position-y: 45vh;
    }

    .meu-nome {
        top: 15%;
        left: 0%;
    }

    .meu-nome h3, .meu-nome h1 {
        text-align: center;
    }

    .container-2 {
        display: flex;
        flex-direction: column;
    }

    .container-sobre-mim {
        display: flex;
    }

    .container-sobre-mim h2 {
        text-align: center;
    }

    .container-2 section p {
        text-align: justify;
    }

    .container-2 section a{
        margin-left: 20%;
    }

    .container-sobre-mim figure {
        display: none;
    }

    .card-projeto {
        display: grid;
        grid-template-columns: 335px;
        margin-top: 60px;
    }

    .card {
        margin-top: 35px;
    }

    footer {
        padding-top: 30px;
        padding-bottom: 60px;
    }

    .social a {
        height: 29px;
        width: 29px;
    }

    .contato-social {
        display: flex;
        justify-content: space-between;
        margin-top: 40px;
    }

    .contato-social img {
        height: 48px;
        width: auto;
    }
}